package me.msoucy.ptures.model

class Engine(vararg val creatures : Creature) {
    init {
        assert(creatures.isNotEmpty())
    }

    var currentCreature = 0

    val attacker : Creature get() {
        return creatures[currentCreature]
    }
}